<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: cert_info.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_fdedb0aba14d44ce9d99bc100e026e6a.html">common</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">cert_info.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="cert__info_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * PKCS #11 PAM Login Module</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> * Copyright (C) 2003-2004 Mario Strasser &lt;mast@gmx.net&gt;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Copyright (C) 2005 Juan Antonio Martinez &lt;jonsito@teleline.es&gt;</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * This library is free software; you can redistribute it and/or</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> * modify it under the terms of the GNU Lesser General Public</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> * License as published by the Free Software Foundation; either</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> * version 2.1 of the License, or (at your option) any later version.</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * This library is distributed in the hope that it will be useful,</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * but WITHOUT ANY WARRANTY; without even the implied warranty of</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> * Lesser General Public License for more details.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> * $Id$</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#ifndef __CERT_INFO_H_</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#define __CERT_INFO_H_</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="cert__st_8h.html">cert_st.h</a>&quot;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="cert__info_8h.html#ac4b81f889a126f4049fe20083b5256f2">   25</a></span>&#160;<span class="preprocessor">#define CERT_CN         1</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="cert__info_8h.html#a22cac8f61777d0cfeee26f762afc541f">   27</a></span>&#160;<span class="preprocessor">#define CERT_SUBJECT    2</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="cert__info_8h.html#a8b1a72e37c2681751646df83d0ac94c8">   29</a></span>&#160;<span class="preprocessor">#define CERT_KPN        3</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="cert__info_8h.html#a85edc3e1871fbcd8f4fa292376112063">   31</a></span>&#160;<span class="preprocessor">#define CERT_EMAIL      4</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="cert__info_8h.html#a8e11c15307b58daabb0438dd0e797d19">   33</a></span>&#160;<span class="preprocessor">#define CERT_UPN        5</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="cert__info_8h.html#a5a12889b67f990b09985c0888d1f54ac">   35</a></span>&#160;<span class="preprocessor">#define CERT_UID        6</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="cert__info_8h.html#ab683ca779afb109c64ba301bc9df539c">   37</a></span>&#160;<span class="preprocessor">#define CERT_PUK        7</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="cert__info_8h.html#a7b60c0c1c230c30605c03cb1a915ba06">   39</a></span>&#160;<span class="preprocessor">#define CERT_DIGEST     8</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="cert__info_8h.html#ad8da0e041b646ff29afaf067e2995367">   41</a></span>&#160;<span class="preprocessor">#define CERT_SSHPUK     9</span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="cert__info_8h.html#a5ac1e2e7dd2de6acd4132c68317604cc">   43</a></span>&#160;<span class="preprocessor">#define CERT_PEM        10</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="cert__info_8h.html#af8ba4949e2c1c37161b8c21d85092c74">   45</a></span>&#160;<span class="preprocessor">#define CERT_ISSUER     11</span></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="cert__info_8h.html#a8d1e431210330c8b6595add8ba89b2c3">   47</a></span>&#160;<span class="preprocessor">#define CERT_SERIAL     12</span></div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="cert__info_8h.html#af8d31c1af7d26538ee8ae425615ea28e">   49</a></span>&#160;<span class="preprocessor">#define CERT_KEY_ALG    13</span></div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="cert__info_8h.html#a2323fe18697df26b8c13671dec4c49a3">   52</a></span>&#160;<span class="preprocessor">#define CERT_INFO_SIZE 16</span></div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="cert__info_8h.html#a713ca53735733b642497e2b8aa74f8cb">   54</a></span>&#160;<span class="preprocessor">#define CERT_INFO_MAX_ENTRIES ( CERT_INFO_SIZE - 1 )</span></div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="preprocessor">#ifndef __CERT_INFO_C_</span></div><div class="line"><a name="l00057"></a><span class="lineno"><a class="line" href="cert__info_8h.html#a7b9a2835642bd2270695710cde542066">   57</a></span>&#160;<span class="preprocessor">#define CERTINFO_EXTERN extern</span></div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="preprocessor">#else</span></div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="preprocessor">#define CERTINFO_EXTERN</span></div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;<span class="keywordtype">void</span> <a class="code" href="cert__info_8h.html#a0afab3a081eb125820fec4658f252217">add_cert</a>(X509 *<a class="code" href="SECerrs_8h.html#a849ee110484ddc0d2ec33426bc31f5fb">cert</a>, X509 ***certs, <span class="keywordtype">int</span> *ncerts);</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<a class="code" href="cert__info_8h.html#a7b9a2835642bd2270695710cde542066">CERTINFO_EXTERN</a> <span class="keywordtype">char</span> **<a class="code" href="cert__info_8h.html#af5bac7424241f2a7e5a0a450211b5080">cert_info</a>(X509 *x509, <span class="keywordtype">int</span> type, <a class="code" href="cert__st_8h.html#accc349514b4f751a105b1602d828f630">ALGORITHM_TYPE</a> algorithm);</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;<span class="preprocessor">#undef CERTINFO_EXTERN</span></div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* __CERT_INFO_H_ */</span><span class="preprocessor"></span></div><div class="ttc" id="SECerrs_8h_html_a849ee110484ddc0d2ec33426bc31f5fb"><div class="ttname"><a href="SECerrs_8h.html#a849ee110484ddc0d2ec33426bc31f5fb">cert</a></div><div class="ttdeci">security library failure security security library has experienced an input length error security security Improperly formatted time string Peer s certificate has an invalid signature Peer s Certificate has been revoked Peer s public key is invalid New password entered incorrectly Please try again security security Peer s certificate issuer has been marked as not trusted by the user Certificate already exists in your database Error adding certificate to database The private key for this certificate cannot be found in key database This certificate is not valid The certificate issuer s certificate has expired Check your system date and time The CRL for the certificate s issuer has an invalid signature Certificate extension value is invalid Issuer certificate is invalid Certificate usages field is invalid The key does not support the requested operation New CRL is not later than the current one Not Cannot or matching certificate and private key not found Signature verification too many signers or improper or corrupted data Cannot Fortezza card has not been properly initialized Please remove it and return it to your issuer No Fortezza card selected Personality not found Invalid Pin No KRL for this site s certificate has been found The KRL for this site s certificate has an invalid signature New KRL has an invalid format security The security card or token does not needs to be or has been removed No slot or token was selected A key with the same nickname already exists error while creating baggage object Couldn t delete the privilege Required algorithm is not allowed Error attempting to import certificates Unable to import Invalid MAC Incorrect password or corrupt file Unable to import Only password integrity and privacy modes supported Unable to import Encryption algorithm not supported Unable to import Incorrect privacy password The user pressed cancel Message not sent Certificate type not approved for application Unable to import Error attempting to import private key Unable to export Unable to locate certificate or key by nickname Unable to export Unable to write the export file Unable to export Key database corrupt or deleted Password entered is invalid Please pick a different one Certificate nickname already in use A sensitive key cannot be moved to the slot where it is needed Invalid module path filename Unable to delete module New CKL has different issuer than current CKL Delete current CKL The key revocation list for this certificate is not yet valid The requested certificate could not be found The location for the certificate status server has invalid format The OCSP server returned unexpected invalid HTTP data The OCSP server experienced an internal error The OCSP server requires a signature on this request The OCSP server returned an unrecognizable status You must enable OCSP before performing this operation The response from the OCSP server was corrupted or improperly formed The OCSP response is not yet The OCSP response contains out of date information The CMS or PKCS Could not decode ASN data Specified template was invalid You are attempting to import a cert with the same issuer serial as an existing cert</div><div class="ttdef"><b>Definition:</b> <a href="SECerrs_8h_source.html#l00462">SECerrs.h:462</a></div></div>
<div class="ttc" id="cert__info_8h_html_a7b9a2835642bd2270695710cde542066"><div class="ttname"><a href="cert__info_8h.html#a7b9a2835642bd2270695710cde542066">CERTINFO_EXTERN</a></div><div class="ttdeci">#define CERTINFO_EXTERN</div><div class="ttdef"><b>Definition:</b> <a href="cert__info_8h_source.html#l00057">cert_info.h:57</a></div></div>
<div class="ttc" id="cert__st_8h_html_accc349514b4f751a105b1602d828f630"><div class="ttname"><a href="cert__st_8h.html#accc349514b4f751a105b1602d828f630">ALGORITHM_TYPE</a></div><div class="ttdeci">const char * ALGORITHM_TYPE</div><div class="ttdef"><b>Definition:</b> <a href="cert__st_8h_source.html#l00038">cert_st.h:38</a></div></div>
<div class="ttc" id="cert__st_8h_html"><div class="ttname"><a href="cert__st_8h.html">cert_st.h</a></div></div>
<div class="ttc" id="cert__info_8h_html_af5bac7424241f2a7e5a0a450211b5080"><div class="ttname"><a href="cert__info_8h.html#af5bac7424241f2a7e5a0a450211b5080">cert_info</a></div><div class="ttdeci">CERTINFO_EXTERN char ** cert_info(X509 *x509, int type, ALGORITHM_TYPE algorithm)</div><div class="ttdoc">Request info on certificate. </div></div>
<div class="ttc" id="cert__info_8h_html_a0afab3a081eb125820fec4658f252217"><div class="ttname"><a href="cert__info_8h.html#a0afab3a081eb125820fec4658f252217">add_cert</a></div><div class="ttdeci">void add_cert(X509 *cert, X509 ***certs, int *ncerts)</div><div class="ttdoc">Generate and compose a certificate chain. </div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:34 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
